aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-xlsxwriter
diff options
context:
space:
mode:
Diffstat (limited to 'community/py-xlsxwriter')
-rw-r--r--community/py-xlsxwriter/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/community/py-xlsxwriter/APKBUILD b/community/py-xlsxwriter/APKBUILD
new file mode 100644
index 0000000000..4b4f8ee89a
--- /dev/null
+++ b/community/py-xlsxwriter/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py-xlsxwriter
+_pkgname="XlsxWriter"
+pkgver=0.9.3
+pkgrel=0
+pkgdesc="A Python module for creating Excel XLSX files"
+url="https://github.com/jmcnamara/XlsxWriter"
+arch="noarch"
+license="BSD"
+depends=""
+makedepends="python2-dev py-setuptools python3-dev"
+install=""
+subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_py() {
+ local python=$1
+ pkgdesc="$pkgdesc - $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+_py2() {
+ _py python2
+ replaces="$pkgname"
+}
+
+_py3() {
+ _py python3
+}
+
+
+md5sums="9035b1e37a579c554e703404ffcebdd4 XlsxWriter-0.9.3.tar.gz"
+sha256sums="19d2b5c0dd4d5fc00e8d7f164795f50e885b20d1cc27a3d04d5c7fec3c4d57f6 XlsxWriter-0.9.3.tar.gz"
+sha512sums="44e84d3fa6e3d499a31c2f7e06941246423de99d5bb5fd543bb67763cd65d282c7e615beb3ffed2faa4bab1c54cc5be28c52f6471ba073d719b30c31c1e1767f XlsxWriter-0.9.3.tar.gz"